Subject: Re: Problem with bash command substitution?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Rick Rankin <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 25 Feb 2000 13:46:26 -0500

At 01:42 PM 2/25/00, you wrote:
>I discovered that bash is hanging on the following line in my .bash_profile:
>
>export NODE=$(hostname | tr 'A-Z' 'a-z')
>
>If I type 
>
>hostname | tr 'A-Z' 'a-z'
>
>on the command line, it returns immediately with the results I expect. It only
>seems to hang inside the $() or `` command substitution mechanism. I currently
>have
>
>CYGWIN=tty notitle glob ntea nontsec
>
>and I have all text mounts. I'm using the latest snapshot. Has anyone else seen
>this behavior?
>
>Rick
>--
>Rick Rankin
>[email-masked]
>__________________________________________________

You sure you're getting the Cygwin version of hostname and not the NT?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX
                                        (508) 560-1285 - cell phone

--
Want to unsubscribe from this list?
Send a message to [email-masked]